function [fitresult, gof] = createFit(elapsedDays, avDaily)
%CREATEFIT(ELAPSEDDAYS,AVDAILY)
%  Create a fit.
%
%  Data for 'bikeFit' fit:
%      X Input : elapsedDays
%      Y Output: avDaily
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 04-Sep-2019 11:33:29


%% Fit: 'bikeFit'.
[xData, yData] = prepareCurveData( elapsedDays, avDaily );

% Set up fittype and options.
ft = fittype( 'fourier3' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.StartPoint = [0 0 0 0 0 0 0 0.0068369807477471];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

% Plot fit with data.
figure( 'Name', 'bikeFit' );
h = plot( fitresult, xData, yData );
legend( h, 'avDaily vs. elapsedDays', 'bikeFit', 'Location', 'NorthEast', 'Interpreter', 'none' );
% Label axes
xlabel( 'elapsedDays', 'Interpreter', 'none' );
ylabel( 'avDaily', 'Interpreter', 'none' );
grid on


